Subject: Bug#1028637: Spyder stops showing indent guides after restart

From: local10 <[email-masked]>
Date: Mon, 16 Jan 2023 17:48:11 +0100 (CET)

Jan 16, 2023, 16:25 by [email-masked]:

> OK, this is weird.  I can't see any indented blocks when I open
> subprocess.py without scrolling, so I'm presuming that at some point
> you scroll to see that the indented blocks?  Also, what I most
> recently did wasn't quite the same as you; I did the following:
>
> * Open Spyder - the only tab is subprocess.py
> * Scroll down a bit so I can see an indented block
> * Wait about 20-30 seconds
> * The indented block guides appear
>
> Could you try that and let me know what you find?
>

Tried the above twice, the indented block guides do NOT appear for me. Flipping the "Show indent guides" menu option also doesn't bring the block guides back, not sure why it worked before.

Closing the tab and then restoring it with Ctrl+Shft+T does bring the indent guides back.

Regards,